import Api from "~/service/Api"
import Pts from "../Common/Pts"

export default class Bctrad{
    constructor () {
        this.data = {
						bcdgrp:{
							rec:{
								ownref:"",			//  Collection Number		.bcdgrp.rec.ownref
								nam:"",			//  Name		.bcdgrp.rec.nam
								rcvdat:"",			//  Docs Received on		.bcdgrp.rec.rcvdat
								advdat:"",			//  Date of Advice of Documents Received		.bcdgrp.rec.advdat
								matdat:"",			//  Maturity Date		.bcdgrp.rec.matdat
								predat:"",			//  Maturity Date		.bcdgrp.rec.predat
								doctypcod:"",			//  Payment Condition		.bcdgrp.rec.doctypcod
								docsta:"",			//  Document Set Status		.bcdgrp.rec.docsta
								chato:"",			//  Our Charges to		.bcdgrp.rec.chato
								focflg:"",			//  Free of Payment		.bcdgrp.rec.focflg
								waicolcod:"",			//  Waive Collecting Bank Charges		.bcdgrp.rec.waicolcod
								wairmtcod:"",			//  Waive Remitting Bank Charges		.bcdgrp.rec.wairmtcod
								othins:"",			//  Defer Payment until		.bcdgrp.rec.othins
								stagod:"",			//  Good's Code (for Statistics)		.bcdgrp.rec.stagod
								proins:"",			//  Protest Instructions		.bcdgrp.rec.proins
							},
							cbs:{
								max:{
									cur:"",			//  Document Amount		.bcdgrp.cbs.max.cur
									amt:"",			//  Document Amount		.bcdgrp.cbs.max.amt
								},
								opn1:{
									cur:"",			//  Open Amount		.bcdgrp.cbs.opn1.cur
									amt:"",			//  Open Amount		.bcdgrp.cbs.opn1.amt
								},
							},
							dre:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bcdgrp.dre.namelc
								adrelc:"",			//  地址		.bcdgrp.dre.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bcdgrp.dre.dbfadrblkcn
							},
							rmi:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bcdgrp.rmi.namelc
								adrelc:"",			//  地址		.bcdgrp.rmi.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bcdgrp.rmi.dbfadrblkcn
							},
							drr:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bcdgrp.drr.namelc
								adrelc:"",			//  地址		.bcdgrp.drr.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bcdgrp.drr.dbfadrblkcn
							},
							blk:{
								colinssnm:"",			//  Instructions for Second Mail		.bcdgrp.blk.colinssnm
								colins:"",			//  Collection Instructions		.bcdgrp.blk.colins
								dftins:"",			//  Draft Instructions		.bcdgrp.blk.dftins
								othins:"",			//  Other Instructions		.bcdgrp.blk.othins
								chgtxt:"",			//  Charges Text		.bcdgrp.blk.chgtxt
							},
							co2:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bcdgrp.co2.namelc
								adrelc:"",			//  地址		.bcdgrp.co2.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bcdgrp.co2.dbfadrblkcn
							},
						},
						bctp:{
							recget:{
								sdamod:{
									seainf:"",			//  		.bctp.recget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.bctp.recget.sdamod.dadsnd
								},
							},
							matp:{
								mattxtlab:"",			//  Label for MATTXT		.bctp.matp.mattxtlab
							},
							docgrdm:{
								docdsclab:"",			//  Label of document description		.bctp.docgrdm.docdsclab
							},
							co2p:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.bctp.co2p.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.bctp.co2p.ptsget.sdamod.dadsnd
									},
								},
							},
							drep:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.bctp.drep.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.bctp.drep.ptsget.sdamod.dadsnd
									},
								},
							},
							rmip:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.bctp.rmip.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.bctp.rmip.ptsget.sdamod.dadsnd
									},
								},
							},
							drrp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.bctp.drrp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.bctp.drrp.ptsget.sdamod.dadsnd
									},
								},
							},
						},
						setmod:{
							doccur:"",			//  document currency		.setmod.doccur
							docamt:"",			//  document amount		.setmod.docamt
							docamttyplab:"",			//  settled amount description as label		.setmod.docamttyplab
							retmsg:"",			//  Label showing Retry overflow condition		.setmod.retmsg
							ref:"",			//  our reference		.setmod.ref
							dspflg:"",			//  Type of settlement		.setmod.dspflg
							xreflg:"",			//  Recalculate Rates		.setmod.xreflg
							setglg:{
								labdspflg:"",			//  Label for Type of Settlement		.setmod.setglg.labdspflg
								setgll:[]
							},
							zmqacclab:"",			//  主�'�号LABEL		.setmod.zmqacclab
							zmqacc:"",			//  自�'�区主�'�号		.setmod.zmqacc
							setfog:{
								setfol:[]
							},
							setfeg:{
								setfel:[]
							},
							glemod:{
								gleshwstm: {}
							}
						},
						liaall:{
							misamt:"",			//  Amount not yet assigned		.liaall.misamt
							concur:"",			//  External Booking Amount		.liaall.concur
							outpct:"",			//  Sight Amount Percentage		.liaall.outpct
							outamt:"",			//  Sight Amount		.liaall.outamt
							exttotoldamt:"",			//  Old Amount booked externally		.liaall.exttotoldamt
							exttotamt:"",			//  Total booking amount external assinged		.liaall.exttotamt
							liaallg:[],
							liaccv:{
								newamt:"",			//  合同金额		.liaall.liaccv.newamt
								concur:"",			//  应付保证金金额		.liaall.liaccv.concur
								totcovamt:"",			//  金额总和		.liaall.liaccv.totcovamt
								newresamt:"",			//  Reserved Amount		.liaall.liaccv.newresamt
								addinf:"",			//  Additional Information 		.liaall.liaccv.addinf
								cshpct:"",			//  保证金应收比例		.liaall.liaccv.cshpct
								relcshpct:"",			//  保证金实收比例		.liaall.liaccv.relcshpct
								gleflg:"",			//  Create gle flag		.liaall.liaccv.gleflg
								chgcurflg:"",			//  Change currency flag		.liaall.liaccv.chgcurflg
								pctresamt:"",			//  reserve amount based percent		.liaall.liaccv.pctresamt
							    liaccvg:[],
							},
						},
						mtabut:{
							coninf:{
								oitinf:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitinf.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitinf.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitinf.oit.inflev
									},
								},
								oitset:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitset.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitset.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitset.oit.inflev
									},
								},
								conexedat:"",			//  执行日期		.mtabut.coninf.conexedat
								usr:{
									extkey:"",			//  User ID		.mtabut.coninf.usr.extkey
								},
							},
						},
						trnmod:{
							trndoc:{
								advlabel:"",			//  ADVLABEL		.trnmod.trndoc.advlabel
								amdnam:"",			//  AMDNAM		.trnmod.trndoc.amdnam
								advdoc:"",			//  国内证通知书		.trnmod.trndoc.advdoc
								advnam:"",			//  国内证落款		.trnmod.trndoc.advnam
								amdapl:"",			//  修改申请人名称		.trnmod.trndoc.amdapl
								doclbl:"",			//  Lable for CONDOCSTM		.trnmod.trndoc.doclbl
								doctrestm:"",			//  Document tree		.trnmod.trndoc.doctrestm
								shwinc:"",			//  Show Incoming Messages		.trnmod.trndoc.shwinc
								shwout:"",			//  Show Outgoing Messages		.trnmod.trndoc.shwout
								condocstm:"",			//  Connected Documents		.trnmod.trndoc.condocstm
								rcvatt:{
									seainf:"",			//  		.trnmod.trndoc.rcvatt.seainf
								},
								filrecv:"",			//  File Receiver		.trnmod.trndoc.filrecv
								doceot:[],
							},
						},
						pageId: ""			// ctx的key
				}
    }
}