import Api from "~/service/Api"
import Pts from "../Common/Pts"
import Dids from "../Public/Dids"
import Pub from "../Public"

export default class Detdrv{
    constructor () {
        this.data = {
						bfdgrp:{
							blk:{
								intdis:"",			//  Internal Discrepancies		.bfdgrp.blk.intdis
								docdis:"",			//  不符点		.bfdgrp.blk.docdis
								docdisflg:"",			//  Discrepancies modified		.bfdgrp.blk.docdisflg
								chaded:"",			//  Charges Deducted		.bfdgrp.blk.chaded
								chaadd:"",			//  Charges Added		.bfdgrp.blk.chaadd
								nartxt77a:"",			//  Narrative TAG 77A of Incoming MT754		.bfdgrp.blk.nartxt77a
								matper:"",			//  Maturity Period		.bfdgrp.blk.matper
							},
							rec:{
								payrol:"",			//  Payer		.bfdgrp.rec.payrol
								lescom:"",			//  Less comm.		.bfdgrp.rec.lescom
								expmno:"",			//  快递单号		.bfdgrp.rec.expmno
								totcur:"",			//  Total Amount Claimed		.bfdgrp.rec.totcur
								totamt:"",			//  Total Amount to be Paid		.bfdgrp.rec.totamt
								totdat:"",			//  付款日期		.bfdgrp.rec.totdat
								ownref:"",			//  单据编号		.bfdgrp.rec.ownref
								doctypcod:"",			//  单据类型		.bfdgrp.rec.doctypcod
								matdat:"",			//  到期日		.bfdgrp.rec.matdat
								rcvdat:"",			//  收单日期		.bfdgrp.rec.rcvdat
								predat:"",			//  到单日期		.bfdgrp.rec.predat
								docsta:"",			//  单据状态		.bfdgrp.rec.docsta
								nam:"",			//  Externally Displayed Name to Identify the Contract		.bfdgrp.rec.nam
								orddat:"",			//  Order Date		.bfdgrp.rec.orddat
								shpdat:"",			//  Date of Shipment		.bfdgrp.rec.shpdat
								dscinsflg:"",			//  Enter Docs, Discrep. and Instructions		.bfdgrp.rec.dscinsflg
								docprbrol:"",			//  Presented by		.bfdgrp.rec.docprbrol
								invtyp:"",			//  发票类型		.bfdgrp.rec.invtyp
							},
							oth:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bfdgrp.oth.namelc
								adrelc:"",			//  地址		.bfdgrp.oth.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bfdgrp.oth.dbfadrblkcn
							},
							cbs:{
								max:{
									cur:"",			//  单据金额		.bfdgrp.cbs.max.cur
									amt:"",			//  Balance		.bfdgrp.cbs.max.amt
								},
								opn2:{
									cur:"",			//  附加金额		.bfdgrp.cbs.opn2.cur
								},
								max2:{
									amt:"",			//  附加金额		.bfdgrp.cbs.max2.amt
								},
								opn1:{
									cur:"",			//  单据余额		.bfdgrp.cbs.opn1.cur
									amt:"",			//  Balance		.bfdgrp.cbs.opn1.amt
								},
							},
							acb:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bfdgrp.acb.namelc
								adrelc:"",			//  地址		.bfdgrp.acb.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bfdgrp.acb.dbfadrblkcn
							},
							rmb:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bfdgrp.rmb.namelc
								adrelc:"",			//  地址		.bfdgrp.rmb.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bfdgrp.rmb.dbfadrblkcn
							},
							prb:{
								pts:new Pts().data,
							},
							iss:{
								pts:new Pts().data,
							},
							apl:{
								pts:new Pts().data,
							},
						},
						bftp:{
							docgrdm:{
								docdsclab:"",			//  Label of document description		.bftp.docgrdm.docdsclab
							},
							folwupopt:"",			//  Processing Options		.bftp.folwupopt
							othp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.bftp.othp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.bftp.othp.ptsget.sdamod.dadsnd
									},
								},
							},
							acbp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.bftp.acbp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.bftp.acbp.ptsget.sdamod.dadsnd
									},
								},
							},
							rmbp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.bftp.rmbp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.bftp.rmbp.ptsget.sdamod.dadsnd
									},
								},
							},
							bebp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.bftp.bebp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.bftp.bebp.ptsget.sdamod.dadsnd
									},
								},
							},
							dedget:{
								sdamod:{
									dadsnd:"",			//  Drag  Drop Sender		.bftp.dedget.sdamod.dadsnd
									seainf:"",			//  		.bftp.dedget.sdamod.seainf
								},
							},
							recget:{
								sdamod:{
									dadsnd:"",			//  Drag  Drop Sender		.bftp.recget.sdamod.dadsnd
									seainf:"",			//  		.bftp.recget.sdamod.seainf
								},
							},
							imggrdm:{
								fftref:"",			//  影像编号		.bftp.imggrdm.fftref
							},
							invgrdm:{
								fftref:"",			//  影像编号		.bftp.invgrdm.fftref
							},
						},
						dedgrp:{
							rec:{
								kzref:"",			//  信用证编号		.dedgrp.rec.kzref
								ownref:"",			//  参考号		.dedgrp.rec.ownref
								utlnbr:"",			//  No. of Existing and not Completely Processed  Document Sets		.dedgrp.rec.utlnbr
								nam:"",			//  Externally Displayed Name to Identify the Contract		.dedgrp.rec.nam
								avbby:"",			//  兑付方式		.dedgrp.rec.avbby
								opndat:"",			//  开证日期		.dedgrp.rec.opndat
								shpdat:"",			//  Shipment Date		.dedgrp.rec.shpdat
								expdat:"",			//  最迟交单日期/交单地		.dedgrp.rec.expdat
								expplc:"",			//  最迟交单日期/交单地		.dedgrp.rec.expplc
								lcrtyp:"",			//  信用证类型		.dedgrp.rec.lcrtyp
							},
							beb:{
								pts:new Pts().data,
								namelc:"",			//  名称		.dedgrp.beb.namelc
								adrelc:"",			//  地址		.dedgrp.beb.adrelc
								dbfadrblkcn:"",			//  Chinese address		.dedgrp.beb.dbfadrblkcn
							},
							cbs:{
								opn1:{
									cur:"",			//  信用证余额		.dedgrp.cbs.opn1.cur
									amt:"",			//  Balance		.dedgrp.cbs.opn1.amt
								},
								nom1:{
									cur:"",			//  信用证金额		.dedgrp.cbs.nom1.cur
									amt:"",			//  Balance		.dedgrp.cbs.nom1.amt
								},
							},
							avbnam:"",			//  指定银行		.dedgrp.avbnam
						},
						letprbl1blk:"",			//  XMLPanel letprbl1的内置block		.letprbl1blk
						letissl1blk:"",			//  XMLPanel letissl1的内置block		.letissl1blk
						zcdat:"",			//  装船日期/服务提供日		.zcdat
						pageId: "",			// ctx的key
						setmod: new Pub().data.Setmod,
			            mtabut: new Pub().data.Mtabut,
			            trnmod: new Pub().data.Trnmod,
			            liaall: new Pub().data.Liaall
				}
    }
}